﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Linq;

namespace AllButOneProduct
{
	public class AllButOneProductNSquared
	{
		public static int[] CalcProductsNSquared(int[] input)
		{
			int[] a = new int[input.Length];
			for ( int i = 0;  i < input.Length;  ++i )
			{
				a[i] = CalculateSimpleAllButOneProduct(input, i);
			}
			return a;
		}

		private static int CalculateSimpleAllButOneProduct(int[] input, int iSkip)
		{
			int product = 1;
			for (int j = 0; j < input.Length; ++j)
			{
				if (j != iSkip)
				{
					product *= input[j];
				}
			}
			return product;
		}
	}
}
