﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Linq;

namespace AllButOneProduct
{
	public class AllButOneProductWithDivision
	{
		public static int[] CalcProductsWithDivision(int[] input)
		{
			int[] products = new int[input.Length];
			int totalProduct = input.Length > 0 ? input.Aggregate((n, m) => n * m) : 1;
			for (int i = 0; i < input.Length; ++i)
			{
				products[i] = totalProduct / input[i];
			}
			return products;
		}
	}
}
